libetonyek::IWORKCollector Class Reference documentation

Classes | Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKCollector Class Referenceabstract

`#include <IWORKCollector.h>`

Inheritance diagram for libetonyek::IWORKCollector:

## Classes
struct | Level

## Public Member Functions
| IWORKCollector (IWORKDocumentInterface *document)
virtual | ~IWORKCollector ()
void | setRecorder (const std::shared_ptr< IWORKRecorder > &recorder)
void | collectStyle (const IWORKStylePtr_t &style)
void | setGraphicStyle (const IWORKStylePtr_t &style)
void | collectGeometry (const IWORKGeometryPtr_t &geometry)
void | setAccumulateTransformTo (bool accumulate)
void | collectBezier (const IWORKPathPtr_t &path)
void | collectLine (const IWORKLinePtr_t &line)
void | collectShape (const boost::optional< int > &order=boost::none, const boost::optional< unsigned > &resizeFlags=boost::none, bool locked=false)
void | collectBezierPath ()
void | collectPolygonPath (const IWORKSize &size, unsigned edges)
void | collectRoundedRectanglePath (const IWORKSize &size, double radius)
void | collectArrowPath (const IWORKSize &size, double headWidth, double stemRelYPos, bool doubleSided)
void | collectStarPath (const IWORKSize &size, unsigned points, double innerRadius)
void | collectConnectionPath (const IWORKConnectionPath &path)
void | collectCalloutPath (const IWORKSize &size, double radius, double tailSize, double tailX, double tailY, bool quoteBubble)
void | collectImage (const IWORKMediaContentPtr_t &image, const IWORKGeometryPtr_t &cropGeometry=IWORKGeometryPtr_t(), const boost::optional< int > &order=boost::none, bool locked=false)
void | collectMedia (const IWORKMediaContentPtr_t &content, const IWORKGeometryPtr_t &cropGeometry=IWORKGeometryPtr_t(), const boost::optional< int > &order=boost::none)
void | collectStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | collectMetadata (const IWORKMetadata &metadata)
void | collectHeader (const std::string &name)
void | collectFooter (const std::string &name)
void | collectTable (const std::shared_ptr< IWORKTable > &table)
void | collectText (const std::shared_ptr< IWORKText > &text)
virtual void | collectStickyNote ()
void | startDocument (const librevenge::RVNGPropertyList &props)
void | endDocument ()
void | startAttachment ()
void | endAttachment ()
void | startAttachments ()
void | endAttachments ()
void | startGroup ()
void | endGroup ()
void | openGroup ()
void | closeGroup ()
bool | getOpenGroupLevel () const
void | startLevel ()
void | endLevel ()
void | pushStyle ()
void | popStyle ()
void | pushStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | popStylesheet ()
IWORKStylesheetPtr_t | getStylesheet () const
IWORKOutputManager & | getOutputManager ()
virtual std::shared_ptr< IWORKTable > | createTable (const IWORKTableNameMapPtr_t &tableNameMap, const IWORKLanguageManager &langManager) const
virtual std::shared_ptr< IWORKText > | createText (const IWORKLanguageManager &langManager, bool discardEmptyContent=false, bool allowListInsertion=true) const

## Protected Member Functions
void | fillMetadata (librevenge::RVNGPropertyList &props)
void | drawShape (const IWORKShapePtr_t &shape)
| IWORKCollector (const IWORKCollector &)
IWORKCollector & | operator= (const IWORKCollector &)

## Static Protected Member Functions
static void | fillGraphicProps (const IWORKStylePtr_t style, librevenge::RVNGPropertyList &props, bool isSurface=true, bool isFrame=false)
static void | fillLayoutProps (const IWORKStylePtr_t style, librevenge::RVNGPropertyList &props)
static void | fillTextAutoSizeProps (const boost::optional< unsigned > &resizeFlags, const IWORKGeometryPtr_t &boundingBox, librevenge::RVNGPropertyList &props)
static void | fillWrapProps (const IWORKStylePtr_t style, librevenge::RVNGPropertyList &props, const boost::optional< int > &order)
static void | writeFill (const IWORKFill &fill, librevenge::RVNGPropertyList &props)

## Protected Attributes
IWORKDocumentInterface * | m_document
std::shared_ptr< IWORKRecorder > | m_recorder
std::stack< Level > | m_levelStack
IWORKStyleStack | m_styleStack
std::stack< IWORKStylesheetPtr_t > | m_stylesheetStack
IWORKOutputManager | m_outputManager
std::deque< IWORKStylePtr_t > | m_newStyles
std::shared_ptr< IWORKTable > | m_currentTable
std::shared_ptr< IWORKText > | m_currentText
IWORKHeaderFooterMap_t | m_headers
IWORKHeaderFooterMap_t | m_footers
std::stack< IWORKPathPtr_t > | m_pathStack
IWORKPathPtr_t | m_currentPath
std::stack< bool > | m_attachmentStack
bool | m_inAttachment
bool | m_inAttachments

## Private Member Functions
void | pushStyle (const IWORKStylePtr_t &style)
void | collectHeaderFooter (const std::string &name, IWORKHeaderFooterMap_t &map)
void | drawLine (const IWORKLinePtr_t &line)
void | drawMedia (const IWORKMediaPtr_t &media)
virtual void | drawTable ()=0
virtual void | drawMedia (double x, double y, const librevenge::RVNGPropertyList &data)=0
virtual void | fillShapeProperties (librevenge::RVNGPropertyList &props)=0
virtual bool | createFrameStylesForTextBox () const =0
virtual void | drawTextBox (const IWORKTextPtr_t &text, const glm::dmat3 &trafo, const IWORKGeometryPtr_t &boundingBox, const librevenge::RVNGPropertyList &style)=0

## Private Attributes
IWORKDataPtr_t | m_currentData
IWORKMediaContentPtr_t | m_currentUnfiltered
IWORKMediaContentPtr_t | m_currentFiltered
IWORKMediaContentPtr_t | m_currentLeveled
IWORKMediaContentPtr_t | m_currentContent
IWORKMetadata | m_metadata
bool | m_accumulateTransform
int | m_groupLevel
int | m_groupOpenLevel

## Constructor & Destructor Documentation

## ◆ IWORKCollector() [1/2]

libetonyek::IWORKCollector::IWORKCollector | ( | IWORKDocumentInterface * | document | ) |
| explicit

## ◆ ~IWORKCollector()

libetonyek::IWORKCollector::~IWORKCollector | ( |  | ) |
| virtual

## ◆ IWORKCollector() [2/2]

libetonyek::IWORKCollector::IWORKCollector | ( | const IWORKCollector & |  | ) |
| protected

## Member Function Documentation

## ◆ closeGroup()

void libetonyek::IWORKCollector::closeGroup | ( |  | ) |

Referenced by libetonyek::PAGCollector::drawTable(), and libetonyek::IWAParser::parseGroup().

## ◆ collectArrowPath()

void libetonyek::IWORKCollector::collectArrowPath | ( | const IWORKSize & | size,
|  | double | headWidth,
|  | double | stemRelYPos,
|  | bool | doubleSided
| ) |  |

Referenced by libetonyek::IWAParser::parseDrawableShape().

## ◆ collectBezier()

void libetonyek::IWORKCollector::collectBezier | ( | const IWORKPathPtr_t & | path | ) |

Referenced by libetonyek::IWAParser::parseDrawableShape().

## ◆ collectBezierPath()

void libetonyek::IWORKCollector::collectBezierPath | ( |  | ) |

Referenced by libetonyek::IWAParser::parseDrawableShape().

## ◆ collectCalloutPath()

void libetonyek::IWORKCollector::collectCalloutPath | ( | const IWORKSize & | size,
|  | double | radius,
|  | double | tailSize,
|  | double | tailX,
|  | double | tailY,
|  | bool | quoteBubble
| ) |  |

Referenced by libetonyek::IWAParser::parseDrawableShape().

## ◆ collectConnectionPath()

void libetonyek::IWORKCollector::collectConnectionPath | ( | const IWORKConnectionPath & | path | ) |

Referenced by libetonyek::IWAParser::parseDrawableShape().

## ◆ collectFooter()

void libetonyek::IWORKCollector::collectFooter | ( | const std::string & | name | ) |

Referenced by libetonyek::IWAParser::parseHeaderAndFooter().

## ◆ collectGeometry()

void libetonyek::IWORKCollector::collectGeometry | ( | const IWORKGeometryPtr_t & | geometry | ) |

Referenced by libetonyek::IWAParser::parseDrawableShape(), libetonyek::IWAParser::parseImage(), and libetonyek::IWAParser::parseShapePlacement().

## ◆ collectHeader()

void libetonyek::IWORKCollector::collectHeader | ( | const std::string & | name | ) |

Referenced by libetonyek::IWAParser::parseHeaderAndFooter().

## ◆ collectHeaderFooter()

void libetonyek::IWORKCollector::collectHeaderFooter | ( | const std::string & | name,
|  | IWORKHeaderFooterMap_t & | map
| ) |  |
| private

Referenced by collectFooter(), and collectHeader().

## ◆ collectImage()

void libetonyek::IWORKCollector::collectImage | ( | const IWORKMediaContentPtr_t & | image,
|  | const IWORKGeometryPtr_t & | cropGeometry = `IWORKGeometryPtr_t()`,
|  | const boost::optional< int > & | order = `boost::none`,
|  | bool | locked = `false`
| ) |  |

## ◆ collectLine()

void libetonyek::IWORKCollector::collectLine | ( | const IWORKLinePtr_t & | line | ) |

## ◆ collectMedia()

void libetonyek::IWORKCollector::collectMedia | ( | const IWORKMediaContentPtr_t & | content,
|  | const IWORKGeometryPtr_t & | cropGeometry = `IWORKGeometryPtr_t()`,
|  | const boost::optional< int > & | order = `boost::none`
| ) |  |

Referenced by libetonyek::IWAParser::parseImage().

## ◆ collectMetadata()

void libetonyek::IWORKCollector::collectMetadata | ( | const IWORKMetadata & | metadata | ) |

## ◆ collectPolygonPath()

void libetonyek::IWORKCollector::collectPolygonPath | ( | const IWORKSize & | size,
|  | unsigned | edges
| ) |  |

Referenced by libetonyek::IWAParser::parseDrawableShape().

## ◆ collectRoundedRectanglePath()

void libetonyek::IWORKCollector::collectRoundedRectanglePath | ( | const IWORKSize & | size,
|  | double | radius
| ) |  |

Referenced by libetonyek::IWAParser::parseDrawableShape().

## ◆ collectShape()

void libetonyek::IWORKCollector::collectShape | ( | const boost::optional< int > & | order = `boost::none`,
|  | const boost::optional< unsigned > & | resizeFlags = `boost::none`,
|  | bool | locked = `false`
| ) |  |

Referenced by libetonyek::NUMCollector::collectStickyNote(), and libetonyek::IWAParser::parseDrawableShape().

## ◆ collectStarPath()

void libetonyek::IWORKCollector::collectStarPath | ( | const IWORKSize & | size,
|  | unsigned | points,
|  | double | innerRadius
| ) |  |

Referenced by libetonyek::IWAParser::parseDrawableShape().

## ◆ collectStickyNote()

void libetonyek::IWORKCollector::collectStickyNote | ( |  | ) |
| virtual

Reimplemented in libetonyek::KEYCollector, and libetonyek::NUMCollector.

## ◆ collectStyle()

void libetonyek::IWORKCollector::collectStyle | ( | const IWORKStylePtr_t & | style | ) |

## ◆ collectStylesheet()

void libetonyek::IWORKCollector::collectStylesheet | ( | const IWORKStylesheetPtr_t & | stylesheet | ) |

## ◆ collectTable()

void libetonyek::IWORKCollector::collectTable | ( | const std::shared_ptr< IWORKTable > & | table | ) |

Referenced by libetonyek::IWAParser::parseTabularModel().

## ◆ collectText()

void libetonyek::IWORKCollector::collectText | ( | const std::shared_ptr< IWORKText > & | text | ) |

Referenced by libetonyek::PAG1AnnotationContext::endOfElement(), libetonyek::PAG1AnnotationElement::endOfElement(), libetonyek::PAG5Parser::parseDocument(), libetonyek::IWAParser::parseDrawableShape(), libetonyek::IWAParser::parseHeaderAndFooter(), libetonyek::KEY6Parser::parseNotes(), libetonyek::KEY6Parser::parsePlaceholder(), and libetonyek::KEY6Parser::parseStickyNote().

## ◆ createFrameStylesForTextBox()

virtual bool libetonyek::IWORKCollector::createFrameStylesForTextBox | ( |  | ) | const
| privatepure virtual

Implemented in libetonyek::KEYCollector, libetonyek::NUMCollector, and libetonyek::PAGCollector.

Referenced by drawShape().

## ◆ createTable()

std::shared_ptr< IWORKTable > libetonyek::IWORKCollector::createTable | ( | const IWORKTableNameMapPtr_t & | tableNameMap,
|  | const IWORKLanguageManager & | langManager
| ) |  | const
| virtual

Referenced by libetonyek::IWAParser::parseTabularModel(), and libetonyek::KEY1TableElement::startOfElement().

## ◆ createText()

std::shared_ptr< IWORKText > libetonyek::IWORKCollector::createText | ( | const IWORKLanguageManager & | langManager,
|  | bool | discardEmptyContent = `false`,
|  | bool | allowListInsertion = `true`
| ) |  | const
| virtual

Referenced by libetonyek::KEY1ParserState::openBullet(), libetonyek::KEY2ParserState::openHeadline(), libetonyek::PAG5Parser::parseDocument(), libetonyek::IWAParser::parseDrawableShape(), libetonyek::IWAParser::parseHeaderAndFooter(), libetonyek::KEY6Parser::parseNotes(), libetonyek::KEY6Parser::parsePlaceholder(), libetonyek::KEY6Parser::parseStickyNote(), libetonyek::IWAParser::parseTile(), and libetonyek::PAG1AnnotationContext::startOfElement().

## ◆ drawLine()

void libetonyek::IWORKCollector::drawLine | ( | const IWORKLinePtr_t & | line | ) |
| private

Referenced by collectLine().

## ◆ drawMedia() [1/2]

void libetonyek::IWORKCollector::drawMedia | ( | const IWORKMediaPtr_t & | media | ) |
| private

Referenced by collectImage(), collectMedia(), and drawMedia().

## ◆ drawMedia() [2/2]

virtual void libetonyek::IWORKCollector::drawMedia | ( | double | x,
|  | double | y,
|  | const librevenge::RVNGPropertyList & | data
| ) |  |
| privatepure virtual

Implemented in libetonyek::KEYCollector, libetonyek::NUMCollector, and libetonyek::PAGCollector.

## ◆ drawShape()

void libetonyek::IWORKCollector::drawShape | ( | const IWORKShapePtr_t & | shape | ) |
| protected

Referenced by collectShape().

## ◆ drawTable()

virtual void libetonyek::IWORKCollector::drawTable | ( |  | ) |
| privatepure virtual

Implemented in libetonyek::KEYCollector, libetonyek::NUMCollector, and libetonyek::PAGCollector.

Referenced by collectTable().

## ◆ drawTextBox()

virtual void libetonyek::IWORKCollector::drawTextBox | ( | const IWORKTextPtr_t & | text,
|  | const glm::dmat3 & | trafo,
|  | const IWORKGeometryPtr_t & | boundingBox,
|  | const librevenge::RVNGPropertyList & | style
| ) |  |
| privatepure virtual

Implemented in libetonyek::KEYCollector, libetonyek::NUMCollector, and libetonyek::PAGCollector.

Referenced by drawShape().

## ◆ endAttachment()

void libetonyek::IWORKCollector::endAttachment | ( |  | ) |

## ◆ endAttachments()

void libetonyek::IWORKCollector::endAttachments | ( |  | ) |

## ◆ endDocument()

void libetonyek::IWORKCollector::endDocument | ( |  | ) |

Referenced by libetonyek::KEYCollector::endDocument(), libetonyek::NUMCollector::endDocument(), and libetonyek::PAG5Parser::parseDocument().

## ◆ endGroup()

void libetonyek::IWORKCollector::endGroup | ( |  | ) |

Referenced by libetonyek::IWAParser::parseGroup().

## ◆ endLevel()

void libetonyek::IWORKCollector::endLevel | ( |  | ) |

Referenced by libetonyek::PAG5Parser::dispatchShape(), endAttachment(), libetonyek::KEYCollector::endLayer(), libetonyek::KEY1TableElement::endOfElement(), libetonyek::KEYCollector::endPage(), libetonyek::NUMCollector::endWorkSpace(), libetonyek::IWAParser::parseDrawableShape(), libetonyek::IWAParser::parseGroup(), libetonyek::IWAParser::parseImage(), libetonyek::KEY6Parser::parsePlaceholder(), libetonyek::KEY6Parser::parseStickyNote(), libetonyek::NUM3Parser::parseStickyNote(), and libetonyek::IWAParser::parseTabularInfo().

## ◆ fillGraphicProps()

void libetonyek::IWORKCollector::fillGraphicProps | ( | const IWORKStylePtr_t | style,
|  | librevenge::RVNGPropertyList & | props,
|  | bool | isSurface = `true`,
|  | bool | isFrame = `false`
| ) |  |
| staticprotected

Referenced by drawLine(), drawMedia(), and drawShape().

## ◆ fillLayoutProps()

void libetonyek::IWORKCollector::fillLayoutProps | ( | const IWORKStylePtr_t | style,
|  | librevenge::RVNGPropertyList & | props
| ) |  |
| staticprotected

Referenced by drawShape(), and libetonyek::KEYCollector::insertTextPlaceholder().

## ◆ fillMetadata()

void libetonyek::IWORKCollector::fillMetadata | ( | librevenge::RVNGPropertyList & | props | ) |
| protected

Referenced by libetonyek::NUMCollector::endDocument(), libetonyek::PAGCollector::flushPageSpan(), and libetonyek::KEYCollector::sendSlides().

## ◆ fillShapeProperties()

virtual void libetonyek::IWORKCollector::fillShapeProperties | ( | librevenge::RVNGPropertyList & | props | ) |
| privatepure virtual

Implemented in libetonyek::KEYCollector, libetonyek::NUMCollector, and libetonyek::PAGCollector.

Referenced by drawLine(), and drawShape().

## ◆ fillTextAutoSizeProps()

void libetonyek::IWORKCollector::fillTextAutoSizeProps | ( | const boost::optional< unsigned > & | resizeFlags,
|  | const IWORKGeometryPtr_t & | boundingBox,
|  | librevenge::RVNGPropertyList & | props
| ) |  |
| staticprotected

Referenced by drawShape(), and libetonyek::KEYCollector::insertTextPlaceholder().

## ◆ fillWrapProps()

void libetonyek::IWORKCollector::fillWrapProps | ( | const IWORKStylePtr_t | style,
|  | librevenge::RVNGPropertyList & | props,
|  | const boost::optional< int > & | order
| ) |  |
| staticprotected

Referenced by drawMedia(), drawShape(), libetonyek::KEYCollector::drawTable(), and libetonyek::PAGCollector::drawTable().

## ◆ getOpenGroupLevel()

bool libetonyek::IWORKCollector::getOpenGroupLevel | ( |  | ) | const
| inline

Referenced by libetonyek::PAGCollector::drawTable().

## ◆ getOutputManager()

IWORKOutputManager & libetonyek::IWORKCollector::getOutputManager | ( |  | ) |

Referenced by libetonyek::PAGCollector::closePageGroup(), libetonyek::KEYCollector::collectLayer(), libetonyek::KEYCollector::drawMedia(), libetonyek::NUMCollector::drawMedia(), libetonyek::PAGCollector::drawMedia(), libetonyek::PAGCollector::drawTable(), libetonyek::NUMCollector::endDocument(), libetonyek::KEYCollector::endLayer(), libetonyek::NUMCollector::endWorkSpace(), libetonyek::KEYCollector::insertLayer(), libetonyek::PAGCollector::openPageGroup(), libetonyek::KEYCollector::startLayer(), libetonyek::NUMCollector::startWorkSpace(), and libetonyek::PAGCollector::writePageGroupsObjects().

## ◆ getStylesheet()

IWORKStylesheetPtr_t libetonyek::IWORKCollector::getStylesheet | ( |  | ) | const
| inline

## ◆ openGroup()

void libetonyek::IWORKCollector::openGroup | ( |  | ) |

Referenced by libetonyek::PAGCollector::drawTable(), and libetonyek::IWAParser::parseGroup().

## ◆ operator=()

IWORKCollector & libetonyek::IWORKCollector::operator= | ( | const IWORKCollector & |  | ) |
| protected

## ◆ popStyle()

void libetonyek::IWORKCollector::popStyle | ( |  | ) |

Referenced by endLevel().

## ◆ popStylesheet()

void libetonyek::IWORKCollector::popStylesheet | ( |  | ) |

## ◆ pushStyle() [1/2]

void libetonyek::IWORKCollector::pushStyle | ( |  | ) |

Referenced by startLevel().

## ◆ pushStyle() [2/2]

void libetonyek::IWORKCollector::pushStyle | ( | const IWORKStylePtr_t & | style | ) |
| private

## ◆ pushStylesheet()

void libetonyek::IWORKCollector::pushStylesheet | ( | const IWORKStylesheetPtr_t & | stylesheet | ) |

## ◆ setAccumulateTransformTo()

void libetonyek::IWORKCollector::setAccumulateTransformTo | ( | bool | accumulate | ) |

## ◆ setGraphicStyle()

void libetonyek::IWORKCollector::setGraphicStyle | ( | const IWORKStylePtr_t & | style | ) |

Referenced by libetonyek::IWAParser::parseDrawableShape(), and libetonyek::IWAParser::parseImage().

## ◆ setRecorder()

void libetonyek::IWORKCollector::setRecorder | ( | const std::shared_ptr< IWORKRecorder > & | recorder | ) |

## ◆ startAttachment()

void libetonyek::IWORKCollector::startAttachment | ( |  | ) |

## ◆ startAttachments()

void libetonyek::IWORKCollector::startAttachments | ( |  | ) |

## ◆ startDocument()

void libetonyek::IWORKCollector::startDocument | ( | const librevenge::RVNGPropertyList & | props | ) |

Referenced by libetonyek::KEYCollector::startDocument(), libetonyek::NUMCollector::startDocument(), and libetonyek::PAGCollector::startDocument().

## ◆ startGroup()

void libetonyek::IWORKCollector::startGroup | ( |  | ) |

Referenced by libetonyek::IWAParser::parseGroup().

## ◆ startLevel()

void libetonyek::IWORKCollector::startLevel | ( |  | ) |

Referenced by libetonyek::PAG5Parser::dispatchShape(), libetonyek::IWAParser::parseDrawableShape(), libetonyek::IWAParser::parseGroup(), libetonyek::IWAParser::parseImage(), libetonyek::KEY6Parser::parsePlaceholder(), libetonyek::KEY6Parser::parseStickyNote(), libetonyek::NUM3Parser::parseStickyNote(), libetonyek::IWAParser::parseTabularInfo(), startAttachment(), libetonyek::KEYCollector::startLayer(), libetonyek::KEY1TableElement::startOfElement(), libetonyek::KEYCollector::startPage(), and libetonyek::NUMCollector::startWorkSpace().

## ◆ writeFill()

void libetonyek::IWORKCollector::writeFill | ( | const IWORKFill & | fill,
|  | librevenge::RVNGPropertyList & | props
| ) |  |
| staticprotected

Referenced by libetonyek::PAGCollector::flushPageSpan(), and libetonyek::KEYCollector::insertSlide().

## Member Data Documentation

## ◆ m_accumulateTransform

bool libetonyek::IWORKCollector::m_accumulateTransform
| private

Referenced by collectGeometry(), drawLine(), drawMedia(), and setAccumulateTransformTo().

## ◆ m_attachmentStack

std::stack<bool> libetonyek::IWORKCollector::m_attachmentStack
| protected

Referenced by endAttachment(), and startAttachment().

## ◆ m_currentContent

IWORKMediaContentPtr_t libetonyek::IWORKCollector::m_currentContent
| private

## ◆ m_currentData

IWORKDataPtr_t libetonyek::IWORKCollector::m_currentData
| private

## ◆ m_currentFiltered

IWORKMediaContentPtr_t libetonyek::IWORKCollector::m_currentFiltered
| private

## ◆ m_currentLeveled

IWORKMediaContentPtr_t libetonyek::IWORKCollector::m_currentLeveled
| private

## ◆ m_currentPath

IWORKPathPtr_t libetonyek::IWORKCollector::m_currentPath
| protected

Referenced by collectArrowPath(), collectBezier(), collectCalloutPath(), collectConnectionPath(), collectPolygonPath(), collectRoundedRectanglePath(), collectShape(), collectStarPath(), libetonyek::KEYCollector::collectStickyNote(), endAttachment(), endDocument(), startAttachment(), and ~IWORKCollector().

## ◆ m_currentTable

std::shared_ptr<IWORKTable> libetonyek::IWORKCollector::m_currentTable
| protected

Referenced by collectTable(), libetonyek::KEYCollector::drawTable(), libetonyek::NUMCollector::drawTable(), and libetonyek::PAGCollector::drawTable().

## ◆ m_currentText

std::shared_ptr<IWORKText> libetonyek::IWORKCollector::m_currentText
| protected

Referenced by libetonyek::PAGCollector::collectAnnotation(), collectHeaderFooter(), libetonyek::KEYCollector::collectNote(), collectShape(), libetonyek::KEYCollector::collectStickyNote(), collectText(), libetonyek::KEYCollector::collectTextPlaceholder(), endDocument(), libetonyek::PAGCollector::flushPageSpan(), libetonyek::PAGCollector::sendAnnotation(), and ~IWORKCollector().

## ◆ m_currentUnfiltered

IWORKMediaContentPtr_t libetonyek::IWORKCollector::m_currentUnfiltered
| private

## ◆ m_document

IWORKDocumentInterface* libetonyek::IWORKCollector::m_document
| protected

Referenced by endDocument(), libetonyek::NUMCollector::endDocument(), libetonyek::PAGCollector::flushPageSpan(), libetonyek::KEYCollector::insertSlide(), libetonyek::KEYCollector::sendSlides(), startDocument(), and libetonyek::PAGCollector::writePageGroupsObjects().

## ◆ m_footers

IWORKHeaderFooterMap_t libetonyek::IWORKCollector::m_footers
| protected

Referenced by collectFooter(), and libetonyek::PAGCollector::flushPageSpan().

## ◆ m_groupLevel

int libetonyek::IWORKCollector::m_groupLevel
| private

Referenced by closeGroup(), endDocument(), endGroup(), openGroup(), startGroup(), and ~IWORKCollector().

## ◆ m_groupOpenLevel

int libetonyek::IWORKCollector::m_groupOpenLevel
| private

Referenced by closeGroup(), endDocument(), getOpenGroupLevel(), openGroup(), and ~IWORKCollector().

## ◆ m_headers

IWORKHeaderFooterMap_t libetonyek::IWORKCollector::m_headers
| protected

Referenced by collectHeader(), and libetonyek::PAGCollector::flushPageSpan().

## ◆ m_inAttachment

bool libetonyek::IWORKCollector::m_inAttachment
| protected

Referenced by endAttachment(), and startAttachment().

## ◆ m_inAttachments

bool libetonyek::IWORKCollector::m_inAttachments
| protected

Referenced by libetonyek::PAGCollector::drawMedia(), libetonyek::PAGCollector::drawTable(), endAttachments(), libetonyek::PAGCollector::fillShapeProperties(), and startAttachments().

## ◆ m_levelStack

std::stack<Level> libetonyek::IWORKCollector::m_levelStack
| protected

Referenced by collectGeometry(), collectImage(), collectLine(), collectMedia(), collectShape(), libetonyek::KEYCollector::collectStickyNote(), libetonyek::NUMCollector::collectStickyNote(), drawLine(), drawMedia(), drawShape(), libetonyek::KEYCollector::drawTable(), libetonyek::NUMCollector::drawTable(), libetonyek::PAGCollector::drawTable(), endDocument(), endLevel(), libetonyek::KEYCollector::insertTextPlaceholder(), setGraphicStyle(), startLevel(), and ~IWORKCollector().

## ◆ m_metadata

IWORKMetadata libetonyek::IWORKCollector::m_metadata
| private

Referenced by collectMetadata(), and fillMetadata().

## ◆ m_newStyles

std::deque<IWORKStylePtr_t> libetonyek::IWORKCollector::m_newStyles
| protected

Referenced by collectStyle(), and collectStylesheet().

## ◆ m_outputManager

IWORKOutputManager libetonyek::IWORKCollector::m_outputManager
| protected

Referenced by closeGroup(), drawLine(), drawShape(), libetonyek::KEYCollector::drawTable(), libetonyek::PAGCollector::drawTable(), libetonyek::KEYCollector::drawTextBox(), libetonyek::NUMCollector::drawTextBox(), libetonyek::PAGCollector::drawTextBox(), getOutputManager(), and openGroup().

## ◆ m_pathStack

std::stack<IWORKPathPtr_t> libetonyek::IWORKCollector::m_pathStack
| protected

Referenced by endAttachment(), endDocument(), and startAttachment().

## ◆ m_recorder

std::shared_ptr<IWORKRecorder> libetonyek::IWORKCollector::m_recorder
| protected

Referenced by closeGroup(), collectArrowPath(), collectBezier(), collectCalloutPath(), collectConnectionPath(), collectGeometry(), collectImage(), libetonyek::KEYCollector::collectLayer(), collectLine(), collectMedia(), collectPolygonPath(), collectRoundedRectanglePath(), collectShape(), collectStarPath(), collectStyle(), collectStylesheet(), collectTable(), collectText(), endAttachment(), endGroup(), endLevel(), openGroup(), popStylesheet(), pushStylesheet(), setGraphicStyle(), setRecorder(), startAttachment(), startGroup(), and startLevel().

## ◆ m_stylesheetStack

std::stack<IWORKStylesheetPtr_t> libetonyek::IWORKCollector::m_stylesheetStack
| protected

Referenced by getStylesheet(), libetonyek::PAGCollector::openSection(), popStylesheet(), pushStylesheet(), and ~IWORKCollector().

## ◆ m_styleStack

IWORKStyleStack libetonyek::IWORKCollector::m_styleStack
| protected

Referenced by libetonyek::KEYCollector::collectTextPlaceholder(), popStyle(), pushStyle(), and setGraphicStyle().

The documentation for this class was generated from the following files:

- IWORKCollector.h
- IWORKCollector.cpp